# Upgrading OpenAppStack

## From versions earlier than 0.3.0

Upgrading from versions earlier than `0.3.0` requires manual
intervention.

* Move your local `settings.yml` file to a different location:

    ```
    cd CLUSTER_DIR
    mkdir ./group_vars/all
    mv settings.yml ./group_vars/all/
    ```

* [Flux](https://fluxcd.io) is now used to install and update applications. For
  that reason, we need you to remove all helm charts (WARNING: You will lose
  your data!): 

  ```
  helm delete --purge oas-test-cert-manager oas-test-local-storage \
      oas-test-prometheus oas-test-proxy oas-test-files`
  ```
  - After removing all helm charts, you probably also want to remove all the
    `pvc`s that are left behind. Flux will not re-use the database PVCs created
    for these applications. Find all the pvcs by running `kubectl get pvc
    --namespace oas-apps` and `kubectl get pvc --namespace oas`


